curl --request GET \
--url https://eu.sequencehq.com/api/billing-schedules \
--header 'Authorization: <authorization>'import requests
url = "https://eu.sequencehq.com/api/billing-schedules"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://eu.sequencehq.com/api/billing-schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "b102e007-f5d7-4b1a-8a1d-9a51135ae73b",
"customerId": "cca32597-b6b0-4499-9669-128aef8702e4",
"status": "ACTIVE",
"startDate": "2022-01-01",
"endDate": "2022-12-01",
"taxRates": [
{
"priceId": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
"taxRateId": "50c0d53b-8460-41e6-b4e9-a4e157fc1a64"
}
],
"firstBillingDate": "2022-02-02",
"autoIssueInvoices": false,
"purchaseOrderNumber": "PO123",
"reference": "ref",
"label": "label",
"recurrenceDayOfMonth": 1,
"prices": [
{
"id": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
"productId": "f409d651-c475-4142-aafd-a5d2bd74d4f9",
"name": "Demo Product",
"currency": "GBP",
"structure": {
"pricePerUnit": "0.25",
"usageMetricId": "04c62961-04ba-48e6-b985-758bb7d3e712",
"isPricePercentage": false,
"pricingType": "LINEAR"
},
"billingFrequency": "MONTHLY",
"billingType": "IN_ARREARS",
"createdAt": "2022-06-28T16:47:00Z",
"updatedAt": "2022-06-28T16:47:00Z",
"integrationIds": [
{
"service": "Xero",
"id": "123",
"isPending": false
}
],
"customMetricParameters": [
{
"parameterId": "94703530-1293-479b-bd37-ccad42fd9c8b",
"value": "10"
}
],
"listPriceId": "b4d7e884-e007-4183-8355-4771865c5100",
"usageCalculationPeriod": {
"frequency": "MONTHLY",
"interval": 1
},
"status": "ACTIVE"
}
],
"createdAt": "2022-06-28T16:47:00Z",
"updatedAt": "2022-06-28T16:47:00Z",
"lastInvoiceId": "bdbf78a5-b007-4d46-aa7d-d0417a649d64",
"phases": [
{
"id": "6dc54805-0ac8-4f17-9341-4d3f2db9dcd8",
"name": "Onboarding",
"createdAt": "2022-06-28T16:47:00Z",
"billingScheduleId": "b102e007-f5d7-4b1a-8a1d-9a51135ae73b",
"priceIds": [
"6dc54805-0ac8-4f17-9341-4d3f2db9dcd8"
],
"startDate": "2022-01-01",
"endDate": "2022-06-30",
"discounts": [
{
"id": "4451f62c-0c1f-491c-aeb2-9eb41b28149c",
"restrictToPrices": [
"6dc54805-0ac8-4f17-9341-4d3f2db9dcd8"
],
"type": "PERCENTAGE",
"amount": 15,
"message": "15% Discount",
"separateLineItem": true,
"seatDiscountType": "ALL_SEATS"
}
],
"minimums": [
{
"id": "6dc54805-0ac8-4f17-9341-4d3f2db9dcd8",
"sequenceAccountId": "c4602d51-0fb4-4b48-b689-6ba28f540d1e",
"billingScheduleId": "b102e007-f5d7-4b1a-8a1d-9a51135ae73b",
"phaseId": "6dc54805-0ac8-4f17-9341-4d3f2db9dcd8",
"amount": 100,
"restrictToPrices": [
"6dc54805-0ac8-4f17-9341-4d3f2db9dcd8"
],
"createdAt": "2022-06-28T16:47:00Z",
"updatedAt": "2022-06-28T16:47:00Z"
}
],
"recurrencePreference": "CONTINUE_FROM_PREVIOUS_PHASE",
"phasePriceMetadata": [
{
"priceId": "6dc54805-0ac8-4f17-9341-4d3f2db9dcd8",
"arrCalculation": "INCLUDE"
}
]
}
],
"archivedAt": "2022-06-28T16:47:00Z",
"rollUpBilling": false,
"integrationIds": [
{
"service": "Salesforce",
"id": "a0CQy00000Ipz5VMAR",
"lastSynced": "2024-08-14T17:14:17Z",
"url": "https://sequence-b-dev-ed.develop.my.salesforce.com/lightning/r/sequence__Billing_Schedule__c/a0CQy00000Ipz5VMAR/view",
"isPending": false
}
],
"attachmentAssets": [
{
"id": "e007e884-5100-4183-8355-4771865cb4dd",
"createdBy": "94703530-1293-479b-bd37-ccad42fd9c8b",
"type": "IMAGE",
"format": "PNG",
"fileName": "my-image.png",
"fileSizeBytes": 12345,
"url": "https://assets.sequencehq.com/018f9ad5-4192-76d7-aea5-d80a9018eded/images/e007e884-5100-4183-8355-4771865cb4dd.png",
"createdAt": "2022-06-28T16:47:00Z"
}
],
"contractId": "0194d091-f65b-7b98-b75f-a923aa0f5b1a",
"defaultDueDateDays": 30,
"memo": "Example Billing Schedule",
"customFields": {
"key": "value"
},
"paymentProvider": "STRIPE",
"autoCharge": true
}
],
"pagination": {
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}
}This response has no body data.This response has no body data.This response has no body data.List all Billing Schedules
List all Billing Schedules.
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
2024-07-30 Query Parameters
Filter by customer ID.
Filter by status.
Filter by auto send invoices.
Filter by label.
Include archived schedules.
Filter by schedule starting before. Format: yyyy-MM-dd
Filter by schedule starting after. Format: yyyy-MM-dd
Filter by schedule ending before. Format: yyyy-MM-dd
Filter by schedule ending after. Format: yyyy-MM-dd
Include open-ended schedules.
Filter by recurrence day of month (1-31). Comma-separated for multiple days.
Sort column. Default: creation time. Use customFields. to sort by a custom field value.
Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.
Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.
Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).
Sort order. Default: DESC (descending, most often used for reverse chronological sorting).
Response
OK
Billing Schedules
Show child attributes
Show child attributes
[
{
"id": "b102e007-f5d7-4b1a-8a1d-9a51135ae73b",
"customerId": "cca32597-b6b0-4499-9669-128aef8702e4",
"status": "ACTIVE",
"startDate": "2022-01-01",
"endDate": "2022-12-01",
"taxRates": [
{
"priceId": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
"taxRateId": "50c0d53b-8460-41e6-b4e9-a4e157fc1a64"
}
],
"firstBillingDate": "2022-02-02",
"autoIssueInvoices": false,
"purchaseOrderNumber": "PO123",
"reference": "ref",
"label": "label",
"recurrenceDayOfMonth": 1,
"prices": [
{
"id": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
"productId": "f409d651-c475-4142-aafd-a5d2bd74d4f9",
"name": "Demo Product",
"currency": "GBP",
"structure": {
"pricePerUnit": "0.25",
"usageMetricId": "04c62961-04ba-48e6-b985-758bb7d3e712",
"isPricePercentage": false,
"pricingType": "LINEAR"
},
"billingFrequency": "MONTHLY",
"billingType": "IN_ARREARS",
"createdAt": "2022-06-28T16:47:00Z",
"updatedAt": "2022-06-28T16:47:00Z",
"integrationIds": [
{
"service": "Xero",
"id": "123",
"isPending": false
}
],
"customMetricParameters": [
{
"parameterId": "94703530-1293-479b-bd37-ccad42fd9c8b",
"value": "10"
}
],
"listPriceId": "b4d7e884-e007-4183-8355-4771865c5100",
"usageCalculationPeriod": { "frequency": "MONTHLY", "interval": 1 },
"status": "ACTIVE"
}
],
"createdAt": "2022-06-28T16:47:00Z",
"updatedAt": "2022-06-28T16:47:00Z",
"lastInvoiceId": "bdbf78a5-b007-4d46-aa7d-d0417a649d64",
"phases": [
{
"id": "6dc54805-0ac8-4f17-9341-4d3f2db9dcd8",
"name": "Onboarding",
"createdAt": "2022-06-28T16:47:00Z",
"billingScheduleId": "b102e007-f5d7-4b1a-8a1d-9a51135ae73b",
"priceIds": ["6dc54805-0ac8-4f17-9341-4d3f2db9dcd8"],
"startDate": "2022-01-01",
"endDate": "2022-06-30",
"discounts": [
{
"id": "4451f62c-0c1f-491c-aeb2-9eb41b28149c",
"restrictToPrices": ["6dc54805-0ac8-4f17-9341-4d3f2db9dcd8"],
"type": "PERCENTAGE",
"amount": 15,
"message": "15% Discount",
"separateLineItem": true,
"seatDiscountType": "ALL_SEATS"
}
],
"minimums": [
{
"id": "6dc54805-0ac8-4f17-9341-4d3f2db9dcd8",
"sequenceAccountId": "c4602d51-0fb4-4b48-b689-6ba28f540d1e",
"billingScheduleId": "b102e007-f5d7-4b1a-8a1d-9a51135ae73b",
"phaseId": "6dc54805-0ac8-4f17-9341-4d3f2db9dcd8",
"amount": 100,
"restrictToPrices": ["6dc54805-0ac8-4f17-9341-4d3f2db9dcd8"],
"createdAt": "2022-06-28T16:47:00Z",
"updatedAt": "2022-06-28T16:47:00Z"
}
],
"recurrencePreference": "CONTINUE_FROM_PREVIOUS_PHASE",
"phasePriceMetadata": [
{
"priceId": "6dc54805-0ac8-4f17-9341-4d3f2db9dcd8",
"arrCalculation": "INCLUDE"
}
]
}
],
"archivedAt": "2022-06-28T16:47:00Z",
"rollUpBilling": false,
"integrationIds": [
{
"service": "Salesforce",
"id": "a0CQy00000Ipz5VMAR",
"lastSynced": "2024-08-14T17:14:17Z",
"url": "https://sequence-b-dev-ed.develop.my.salesforce.com/lightning/r/sequence__Billing_Schedule__c/a0CQy00000Ipz5VMAR/view",
"isPending": false
}
],
"attachmentAssets": [
{
"id": "e007e884-5100-4183-8355-4771865cb4dd",
"createdBy": "94703530-1293-479b-bd37-ccad42fd9c8b",
"type": "IMAGE",
"format": "PNG",
"fileName": "my-image.png",
"fileSizeBytes": 12345,
"url": "https://assets.sequencehq.com/018f9ad5-4192-76d7-aea5-d80a9018eded/images/e007e884-5100-4183-8355-4771865cb4dd.png",
"createdAt": "2022-06-28T16:47:00Z"
}
],
"contractId": "0194d091-f65b-7b98-b75f-a923aa0f5b1a",
"defaultDueDateDays": 30,
"memo": "Example Billing Schedule",
"customFields": { "key": "value" },
"paymentProvider": "STRIPE",
"autoCharge": true
}
]
Results pagination
Show child attributes
Show child attributes
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}